# include <stdio.h>
# include <string.h>

/**
ABBCX BB
A123xB 
BB12AX BB
Ανάγνωση αρχείου με γραμμές και εμφάνιση μόνο εκείνων των γραμμών που περιέχουν μέσα
τους ένα συγκεκριμένο πρότυπο **/

/** Αυτή η συνάρτηση θα επιστρέψει 1 αν το 
 * pattern υπάρχει μέσα στο s **/
int findString(char *s,char *pattern)
{
	int i,j;
	for(i=0;i<strlen(s);i++)
	{
		if(s[i]==pattern[0])
		{
			int found=1;
			for(j=0;j<strlen(pattern);j++)
			{
				/** Αν τελειώσουν τα γράμματα του s σταματάμε **/
				if(i+j>=strlen(s)) return 0;
				/** Αν κάποιο γράμμα από το πρότυπο δεν βρεθεί σταματάμε **/
				if(s[i+j]!=pattern[j])
				{
					found=0;
					break;
				}
			}
			if(found) return 1;
		}
	}
	return 0;
}

int main()
{
	FILE *fp;
	char pattern[100];
	printf("Enter pattern \n");
	scanf("%s",pattern);
	
	char line[100];
	fp=fopen("lines.txt","r");
	while(fgets(line,99,fp)!=NULL)
	{
		if(findString(line,pattern)) printf("%s",line);
	}
	fclose(fp);
 return 0;
}
